Skip to main content
DELETE
cURL
This endpoint is in Preview and subject to change. Refer to the API support policy for more details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

Response

A successful response.

LogExportClusterInfo contains a package of information that fully describes both the intended state of the log export configuration for a specific cluster but also some metadata around its deployment status, any error messages, and some timestamps.

cluster_id
string
created_at
string<date-time>
spec
object

LogExportClusterSpecification contains all the data necessary to configure log export for an individual cluster. Users would supply this data via the API and also receive it back when inspecting the state of their log export configuration.

status
enum<string>

LogExportStatus encodes the possible states that a configuration can be in as it is created, deployed, and disabled.

Available options:
DISABLED,
DISABLING,
DISABLE_FAILED,
ENABLED,
ENABLING,
ENABLE_FAILED,
CREDENTIALS_ERROR
updated_at
string<date-time>
user_message
string